> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter the memories by user or project or team and delete them

> Delete provided user, project or team. Only keys with 'Manager' role can call this endpoint



## OpenAPI

````yaml https://app.recallio.ai/swagger/v1/swagger.json delete /api/Memory/delete
openapi: 3.0.4
info:
  title: Recallio API
  description: API for Recallio.AI
  contact:
    name: Recallio.AI Team
    email: support@recallio.ai
  version: v1
servers:
  - url: https://app.recallio.ai
security:
  - Bearer: []
tags:
  - name: Knowledge
  - name: Memory
  - name: MemoryGraph (Extra Pack)
paths:
  /api/Memory/delete:
    delete:
      tags:
        - Memory
      summary: Filter the memories by user or project or team and delete them
      description: >-
        Delete provided user, project or team. Only keys with 'Manager' role can
        call this endpoint
      operationId: DeleteMemory
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemoryDeleteRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/MemoryDeleteRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/MemoryDeleteRequest'
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
components:
  schemas:
    MemoryDeleteRequest:
      required:
        - scope
      type: object
      properties:
        scope:
          minLength: 1
          type: string
        userId:
          type: string
          nullable: true
        projectId:
          type: string
          nullable: true
      additionalProperties: false
    ErrorReturnClass:
      required:
        - error
      type: object
      properties:
        error:
          minLength: 1
          type: string
          description: Error message indicating the specific validation issue
          example: '"Invalid scope type. Must be ''user'', ''project'', or ''team''."'
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````